/home/travis/build/boostorg/boost/boost/geometry/algorithms/centroid.hpp File Reference

## Classes

class | boost::geometry::centroid_exception
| Centroid Exception. More...
struct | boost::geometry::resolve_strategy::centroid< Geometry >
struct | boost::geometry::resolve_variant::centroid< Geometry >
struct | boost::geometry::resolve_variant::centroid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::centroid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Point, Strategy >

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_strategy
namespace | boost::geometry::resolve_variant

## Functions

template<typename Geometry , typename Point , typename Strategy >
void | boost::geometry::centroid (Geometry const &geometry, Point &c, Strategy const &strategy)
| Calculates the centroid of a geometry using the specified strategy.
template<typename Geometry , typename Point >
void | boost::geometry::centroid (Geometry const &geometry, Point &c)
| Calculates the centroid of a geometry.
template<typename Point , typename Geometry >
Point | boost::geometry::return_centroid (Geometry const &geometry)
| Calculates the centroid of a geometry.
template<typename Point , typename Geometry , typename Strategy >
Point | boost::geometry::return_centroid (Geometry const &geometry, Strategy const &strategy)
| Calculates the centroid of a geometry using the specified strategy.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK